Delete database - SuperAI Flows
Delete Database
cURL
curl --request DELETE \
--url https://flows.super.ai/api/integrations/database/{db_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://flows.super.ai/api/integrations/database/{db_id}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/integrations/database/{db_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
- 200 - Database deleted successfully
The response is of type boolean.
Example
true
Authorizations
- X-API-Key: API key authentication. Include your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEY- Example:
X-API-Key: saf_1234567890
- Example:
- Authorization: JWT Bearer token authentication. Include your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKEN- Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
- Example:
Path Parameters
- db_id: Required string in uuid format.